Bug 223930 - cx88 driver dma timeout
cx88 driver dma timeout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-22 22:54 EST by David Highley
Modified: 2009-01-09 02:03 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.24.4-64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:03:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Highley 2007-01-22 22:54:50 EST
Description of problem:
HD-3000 card get 10 sec. of analog video and then no signal. HD may not be
working either.

Version-Release number of selected component (if applicable)
Linux douglas 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:50:56 EST 2007 x86_64
x86_64 x86_64 GNU/Linux

How reproducible:
Every time

Steps to Reproduce:
1.Try watching analog with tvtime.
2.
3.
  
Actual results:
Started seeing issues with analog in previous 2.6.18 kernel version. Could watch
for a while and then the card seemed to lock up and I would have to reboot the
system to be able to watch analog tv. HD was working before this upgrade but I'm
not sure whether I'm seeing an mplayer problem but I'm not able to watch any HD
channels. With the 2.6.18 kernel I was still able to watch HD if the analog part
of the card was locked up.

Expected results:


Additional info:
Jan 14 12:01:32 douglas kernel: cx88[0]: video y / packed - dma channel status d
ump
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: initial risc: 0x4798a000
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: cdt base    : 0x00180440
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: cdt size    : 0x0000000c
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: iq base     : 0x00180400
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: iq size     : 0x00000010
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: risc pc     : 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: iq wr ptr   : 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: iq rd ptr   : 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: cdt current : 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: pci target  : 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]:   cmds: line / byte : 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]:   risc0: 0x00000000 [ INVALID count=0 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   risc1: 0x00000000 [ INVALID count=0 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   risc2: 0x00000000 [ INVALID count=0 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   risc3: 0x00000000 [ INVALID count=0 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 0: 0x80008000 [ sync resync count=
0 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 1: 0x1c000500 [ write sol eol coun
t=1280 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 2: 0x4fced000 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 3: 0x1c000500 [ write sol eol coun
t=1280 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 4: 0x4fceda00 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 5: 0x1c000500 [ write sol eol coun
t=1280 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 6: 0x4fcee400 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 7: 0x18000200 [ write sol count=51
2 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 8: 0x4fceee00 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq 9: 0x14000300 [ write eol count=76
8 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq a: 0x4fcef000 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq b: 0x1c000500 [ write sol eol coun
t=1280 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq c: 0x4fcef800 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq d: 0x4f843700 [ INVALID sol eol ir
q2 irq1 23 18 13 12 count=1792 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq e: 0x1c000500 [ write sol eol coun
t=1280 ]
Jan 14 12:01:32 douglas kernel: cx88[0]:   iq f: 0x4f844100 [ arg #1 ]
Jan 14 12:01:32 douglas kernel: cx88[0]: fifo: 0x00180c00 -> 0x183400
Jan 14 12:01:32 douglas kernel: cx88[0]: ctrl: 0x00180400 -> 0x180460
Jan 14 12:01:32 douglas kernel: cx88[0]:   ptr1_reg: 0x00181078
Jan 14 12:01:32 douglas kernel: cx88[0]:   ptr2_reg: 0x00180448
Jan 14 12:01:32 douglas kernel: cx88[0]:   cnt1_reg: 0x0000009d
Jan 14 12:01:32 douglas kernel: cx88[0]:   cnt2_reg: 0x00000000
Jan 14 12:01:32 douglas kernel: cx88[0]/0: [ffff8100521f2400/0] timeout - dma=0x
4798a000
Jan 14 12:01:32 douglas kernel: cx88[0]/0: [ffff8100521f2e00/1] timeout - dma=0x
47984000
Jan 14 12:01:33 douglas kernel: cx88[0]: video y / packed - dma channel status d
ump
Comment 1 Jarod Wilson 2007-01-23 11:57:28 EST
If you haven't already, I'd suggest filing a bug upstream. We pretty much just
track upstream's v4l/dvb code. See:
http://linuxtv.org/news.php?entry=2006-11-24-0.mchehab
Comment 2 Jon Stanley 2008-01-07 20:52:42 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 David Highley 2008-01-07 23:11:16 EST
The issue still exists and I'm running Fedora 8. I think the issue is better
defined here in the mythtv users group. Could possibly be a fix up stream.

[mythtv-users] pcHDTV HD3000 stops receiving
Patrick Ouellette pat at flying-gecko.net
Wed Nov 14 15:03:56 UTC 2007

    * Previous message: [mythtv-users] pcHDTV HD3000 stops receiving
    * Next message: [mythtv-users] pcHDTV HD3000 stops receiving
    * Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

On Tue, Nov 13, 2007 at 06:23:14PM -0500, H P Ladds wrote:
> On Nov 10, 2007 2:25 AM, Robert Tsai <mythtv at tsaiberspace.net> wrote:
> tom of a tire, worn out eeprom?
> 
> > My machine has always been on 24x7. I unload/reload the modules
> > because the card "stops working".
> >
> > So it was already broken before I started doing this whole
> > twice-a-week unload/reload hack thing.
> 
> By "it" do you suspect the card or your system in general?
> 
> I'm wondering if  the need to constantly reload the module, is a
> symptom of an ailing or aging card, and should those who need to
> persistently reload the modules begin looking for a replacement card?
> 
> I've noticed that my card fails in the following scenario: When I'm
> tuned in to a station receiving 70% + signal everything is grand and
> swell. However if I ever, if only for a moment or two, tune in a
> station receiving only 17% +/-  signal, then the card stops working
> well. When I try tuning into the original station that brought in a
> 70% + signal, I can manage only about 26% max. If I reload the module,
> the channel is back to 70% +.
> 
> This implies to me that the card is "sticky" or has lost its agility
> -- a symptom of aging in I'm all too familiar with!
> 
> I guess it would be helpful to know if anyone solved this problem by
> replacing the card?

When I experienced this problem, I changed my cx88 modules to the ones
from the linuxtv.org mercurial repository.  Changing to the newer
modules fixed my "card stops working" issues along with a number of
annoying syslog messages from the cx88 modules.

-- 

Patrick Ouellette                 pat at flying-gecko.net
kb8pym at arrl.net                   Amateur Radio: KB8PYM 
Living life to a Jimmy Buffett soundtrack
"Crank the amp to 11, this needs more cowbell - and a llama wouldn't hurt either"

I found it was easiest to just pull the v4l-dvb repository.
To start:

hg clone http://linuxtv.org/hg/v4l-dvb

To update later:

cd v4l-dvb
hg pull -u http://linuxtv.org/hg/v4l-dvb

Doesn't take too long to build, but you have to have the running kernel
sources available (IIRC).  Complete instructions are available at:

http://www.linuxtv.org/repo/
Comment 4 Bug Zapper 2008-04-04 01:41:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 David Highley 2008-04-05 10:42:11 EDT
Seems to be fixed now running Fedora 8 kernel 2.6.24.4-64 x86_64. Must be a
fairly recent fix as I have been doing periodic checks.
Comment 6 David Highley 2008-07-02 01:12:59 EDT
After using the HD-3000 tuner card for an extended period of time I find that
the bug still exists. It just takes a lot longer for it to appear. Linux douglas
2.6.25.6-27.fc8 #1 SMP Fri Jun 13 16:17:54 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

As before it only seems to effect the analog side of the card and it appears in
conjunction with an attempt to reload the firmware.

Do not know if this is worth persuing as the card is no longer sold. But on the
other hand two of the three tuner cards I have no longer work right after about
mid Fedora period of updates.
Comment 7 Matěj Cepl 2008-07-02 03:10:41 EDT
Changing product version to Fedora 8, where bug apparently exists.
Comment 8 Bug Zapper 2008-11-26 02:09:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:03:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.